<?php
namespace OCA\GroupfolderFilesystemSnapshots\Settings;

use OCP\AppFramework\Http\TemplateResponse;
use OCP\IConfig;
use OCP\Settings\ISettings;

class SnapshotsAdmin implements ISettings {
    private IConfig $config;

    public function __construct(IConfig $config) {
        $this->config = $config;
    }

    /**
     * @return TemplateResponse
     */
    public function getForm() {
        $parameters = [
            'Filesystem Snapshots Path' => $this->config->getSystemValue('snapshots_path', true),
        ];

        return new TemplateResponse('settings', 'settings/admin', $parameters, '');
    }

    public function getSection() {
        return 'groupfolder_filesystem_snapshots';
    }

    public function getPriority() {
        return 10;
    }
}